Bug 238190 - net-im/py-matrix-synapse comes to a grinding halt
Summary: net-im/py-matrix-synapse comes to a grinding halt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-28 13:27 UTC by Marko Cupać
Modified: 2019-06-07 19:24 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ports)


Attachments
homeserver.log (745.14 KB, text/plain)
2019-05-28 13:27 UTC, Marko Cupać
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2019-05-28 13:27:34 UTC
Created attachment 204668 [details]
homeserver.log

Hi,

a few days ago, my federated synapse server started to crash. Even when it is up, it's unusable. I read around the web that federation is almost unusable with sqlite, so I moved database to postgres. It's still unusable.

homeserver.log is almost unreadable, and it grows by ~1Mb/minute. I have attached excerpt from it.

Any idea how to fix this?

This is on 12.0-RELEASE-p5, with py36-matrix-synapse-0.99.3.

Thank you in advance,
Comment 1 Aaron Raimist 2019-06-06 00:30:55 UTC
Hmm. Check that your log config file is configured as explained here: https://github.com/matrix-org/synapse/blob/master/UPGRADE.rst#upgrading-to-v0340

If that doesn't fix it, come to #matrix:matrix.org or #synapse:matrix.org (if you don't have access to any other Matrix account you can join #matrix on Freenode, it is bridged to the same place) for quicker support if you can.
Comment 2 Marko Cupać 2019-06-07 10:14:18 UTC
That fixed it, thanks a bunch!

UPDATING record or pkg-message would have been nice :)

Closing.
Comment 3 Sascha Biberhofer 2019-06-07 19:24:07 UTC
(In reply to Marko Cupać from comment #2)

Sorry for chiming in this late. I really like your suggestion. I've added the upgrade notes to the package, so the UPGRADE.rst is now installed along with the package and added a note in the pkg-message advertising this file. This should become the new default starting w/ bug #238399.

Thanks for the feedback and thanks to Aaron for helping resolve the issue!